libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_synthesis_lapout

declared in "vorbis/codec.h";

This function retrieves buffers containing decoded audio samples, similarly to vorbis_synthesis_pcmout. However, it includes some extra samples extrapolated from the end of the audio, suitable for crosslapping with other blocks. This exists mainly for libvorbisfile to use for handling chained bitstreams and bitstreams with holes.

    extern int      vorbis_synthesis_lapout(vorbis_dsp_state *v,float ***pcm);

### Parameters

v
  The vorbis_dsp_state for the decoder instance.
pcm
  A pointer to a float** which will be made to point to an array of pointers to the decoded samples for each channel. The memory is owned by the decoder instance and will be freed when the application continues decoding or destroys the decoder instance. This can be NULL, in which case the return value gives the number of samples that would be returned if this function were called with a non-NULL pointer here.

### Return Values

> - The number of samples available in the output buffer.
> - 0 if no more samples are currently available.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101